summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorRoy Marples <uberlord@gentoo.org>2007-05-05 21:24:57 +0000
committerRoy Marples <uberlord@gentoo.org>2007-05-05 21:24:57 +0000
commita7a63400d7b27860abebe65690db2f585bea28d9 (patch)
tree1ea4ca8fe33b38e1168dc757c30ded827be15e99 /sys-fs
parentVersion bump. Adds the examples use flag and src_test. (diff)
downloadgentoo-2-a7a63400d7b27860abebe65690db2f585bea28d9.tar.gz
gentoo-2-a7a63400d7b27860abebe65690db2f585bea28d9.tar.bz2
gentoo-2-a7a63400d7b27860abebe65690db2f585bea28d9.zip
Work with dash again.
(Portage version: 2.1.2.6)
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/udev/ChangeLog5
-rw-r--r--sys-fs/udev/files/udev-start-110-r1.sh18
2 files changed, 13 insertions, 10 deletions
diff --git a/sys-fs/udev/ChangeLog b/sys-fs/udev/ChangeLog
index 959cb63f34d0..9aea449f6063 100644
--- a/sys-fs/udev/ChangeLog
+++ b/sys-fs/udev/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for sys-fs/udev
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.301 2007/05/04 14:14:51 zzam Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/ChangeLog,v 1.302 2007/05/05 21:24:57 uberlord Exp $
+
+ 05 May 2007; Roy Marples <uberlord@gentoo.org> files/udev-start-110-r1.sh:
+ Work with dash again.
*udev-110-r1 (04 May 2007)
diff --git a/sys-fs/udev/files/udev-start-110-r1.sh b/sys-fs/udev/files/udev-start-110-r1.sh
index 0ae63972151d..67277434b1c7 100644
--- a/sys-fs/udev/files/udev-start-110-r1.sh
+++ b/sys-fs/udev/files/udev-start-110-r1.sh
@@ -10,15 +10,15 @@ populate_udev() {
# tell modprobe.sh to be verbose to $CONSOLE
- echo export CONSOLE=${CONSOLE} > /dev/.udev_populate
- echo export TERM=${TERM} >> /dev/.udev_populate
+ echo "export CONSOLE=${CONSOLE}" > /dev/.udev_populate
+ echo "export TERM=${TERM}" >> /dev/.udev_populate
if get_bootparam "nocoldplug" ; then
RC_COLDPLUG="no"
ewarn "Skipping udev coldplug as requested in kernel cmdline"
fi
- if [ $(get_KV) -gt $(KV_to_int '2.6.14') ] ; then
+ if [ "$(get_KV)" -gt "$(KV_to_int '2.6.14')" ] ; then
ebegin "Populating /dev with existing devices through uevents"
local opts=
[ "${RC_COLDPLUG}" != "yes" ] && opts="--attr-match=dev"
@@ -81,16 +81,16 @@ unpack_device_tarball() {
}
make_dev_root() {
- local DEV=$(/lib/udev/get_dir_major_minor "/")
- if [ $? == 0 ] && [ -n "${DEV}" ]; then
+ local DEV="$(/lib/udev/get_dir_major_minor "/")"
+ if [ $? = 0 -a -n "${DEV}" ]; then
mknod -m 600 /dev/root b ${DEV}
fi
}
check_persistent_net() {
# check if there are problems with persistent-net
- local syspath
- local devs=""
+ local syspath=
+ local devs=
local problem_found=0
for syspath in /sys/class/net/*_rename*; do
if [ -d "${syspath}" ]; then
@@ -153,7 +153,7 @@ main() {
touch /dev/.rcsysinit
# Selinux lovin; /selinux should be mounted by selinux-patched init
- if [ -x /sbin/restorecon ] && [ -c /selinux/null ] ; then
+ if [ -x /sbin/restorecon -a -c /selinux/null ] ; then
restorecon /dev > /selinux/null
fi
@@ -190,7 +190,7 @@ main() {
[ -x /sbin/lvm ] && \
/sbin/lvm vgscan -P --mknodes --ignorelockingfailure &>/dev/null
# Running evms_activate on a LiveCD causes lots of headaches
- [ -z "${CDBOOT}" ] && [ -x /sbin/evms_activate ] && \
+ [ -z "${CDBOOT}" -a -x /sbin/evms_activate ] && \
/sbin/evms_activate -q &>/dev/null
eend 0
fi